Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "91fa1e47-5c8a-4d16-b6ec-3fc9321c8768",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "575087f4-63a4-452f-a45b-970f7700133e",
"company_code": "sample string 5",
"company": {
"id": "08892102-542c-45cc-9529-136d6139eeca",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-26T07:38:24.2935906+00:00",
"sales_territory_id": "a5adf92a-fee1-4f7d-9f45-280b7a13fc66",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "2cfb1ccb-daf4-46e6-a6d0-07e8194ea350",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "53b2b0b4-fb50-4e5a-a2d2-e67706725261",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "aa18cb15-89ed-4969-9015-c3f536342620",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "0a298bb9-a068-40ab-a99f-bc12867a892b",
"db_currency_id": "f8b7652f-9e42-401e-9a0e-45609169fd05",
"db_language_id": "4bfc872a-badd-4590-b4d7-fe2f03f59f0b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-26T07:38:24.2935906+00:00"
},
"modified_dateutc": "2026-10-26T07:38:24.2935906+00:00"
},
"marketing_segment_id": "0df321ac-ac8e-465b-a830-5b3500ce11a3",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "57911928-6757-432b-9e2a-29420e774ad3",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "5c7d155b-2020-4787-8d43-a19e2d05e9b7",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "0d1b9155-2d64-4e03-9c2d-d6d10925592f",
"db_country_code": "sample string 28",
"feelist_id": "c67b576a-7f13-40d7-842b-f763eae00c86",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "8f814253-e675-4f97-b494-3f84bd57544a",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "382b55e2-e301-4e6d-ae43-d6433627f6ef",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-26T07:38:24.2935906+00:00",
"db_currency_id": "96cb0552-ade4-4b62-867c-8af1a618d10c",
"db_currency_code": "sample string 10"
},
"company_type_id": "e68919d5-6be3-4aad-b585-3078a36f3814",
"company_type_name": "sample string 32",
"company_type": {
"id": "ce03f289-b7af-4cf9-9f89-8bf0db1aceb4",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "8c75a8f5-080c-4e15-b79f-78c8345f2f60",
"sales_organization_code": "sample string 5"
},
"db_language_id": "710bc382-d658-45de-ac7d-fad6a0cbada9",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "9b774dee-3643-4380-8c89-1bdb872c6f25",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "089099d1-d12a-47d3-a883-c76b9cbb0d25",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "7216b38a-4a7c-47e6-aa22-29d245e00751",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-26T07:38:24.2935906+00:00"
},
"company_sector_id": "83bb7427-4684-4654-99d1-fd07130f0752",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "3a58925a-8983-4efd-b370-494348fcc16e",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "e4bde913-92ec-4758-8b7b-3a5d8da1665e",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "5c2128b8-79ad-4fd7-9e58-7e7a54b8cce8",
"account_manager_user_code": "sample string 56",
"company_status_id": "b3c9e50e-ee2b-4309-bd02-49b2f9e86db9",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-26T07:38:24.2935906+00:00",
"id2": 60
},
"db_language_id": "f44d874f-b189-4d3d-add7-673712d9421e",
"db_language_code": "sample string 7",
"db_title_id": "144c80ee-f087-4840-9b76-3ed6cedba92b",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-26T07:38:24.2935906+00:00",
"create_date": "2026-10-26T07:38:24.2935906+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-26T07:38:24.2935906+00:00"
}